#!/bin/bash

SALT_MASTER='salt-v1.int.metaunix.net'

# determine OS version
if [ -f '/etc/redhat-release' ]; then
  OS="rhel"
elif [ -f '/etc/debian_version' ]; then
  OS="debian"
elif [ -d '/etc/ubuntu-advantage' ]; then
  OS="ubuntu"
else
  OS="freebsd"
fi

else
  # Configure system hostname
  hostnamectl set-hostname "$HOSTNAME"

  # Configure salt
  echo "$HOSTNAME" > /etc/salt/minion_id
  sed -i "s/\#master: salt/master: $SALT_MASTER/" /etc/salt/minion

  # Enable and start salt
  systemctl stop salt-minion
  rm -rf /etc/salt/pki
  systemctl start salt-minion
  systemctl enable salt-minion
fi
